linux-tools-3.13.0-162_3.13.0-162.212_amd64.deb


Advertisement

Description

linux-tools-3.13.0-162 - Linux kernel version specific tools for version 3.13.0-162

Property Value
Distribution Ubuntu 14.04 LTS (Trusty Tahr)
Repository Ubuntu Updates Main amd64
Package name linux-tools-3.13.0-162
Package version 3.13.0
Package release 162.212
Package architecture amd64
Package type deb
Installed size 1.54 KB
Download size 460.30 KB
Official Mirror archive.ubuntu.com
This package provides the architecture dependant parts for kernel
version locked tools (such as perf and x86_energy_perf_policy) for
version 3.13.0-162 on
64 bit x86.
You probabally want to install linux-tools-3.13.0-162-<flavour>.

Alternatives

Package Version Architecture Repository
linux-tools-3.13.0-162_3.13.0-162.212_i386.deb 3.13.0 i386 Ubuntu Updates Main
linux-tools-3.13.0-162 - - -

Requires

Name Value
libaudit1 >= 1:2.2.1
libc6 >= 2.14
libdw1 >= 0.143
libelf1 >= 0.144
libpci3 >= 1:3.2.1-1
libslang2 >= 2.2.4
libunwind8 -
linux-tools common

Download

Type URL
Binary Package linux-tools-3.13.0-162_3.13.0-162.212_amd64.deb
Source Package linux

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install linux-tools-3.13.0-162 deb package:
    # sudo apt-get install linux-tools-3.13.0-162

Files

Path
/usr/lib/libcpupower.so.3.13.0-162
/usr/lib/linux-tools-3.13.0-162/cpupower
/usr/lib/linux-tools-3.13.0-162/perf
/usr/lib/linux-tools-3.13.0-162/turbostat
/usr/lib/linux-tools-3.13.0-162/x86_energy_perf_policy
/usr/share/doc/linux-tools-3.13.0-162/changelog.Debian.gz
/usr/share/doc/linux-tools-3.13.0-162/copyright

Changelog

2018-10-29 - Stefan Bader <stefan.bader@canonical.com>
linux (3.13.0-162.212) trusty; urgency=medium
* linux: 3.13.0-162.212 -proposed tracker (LP: #1799399)
* packet socket panic in Trusty 3.13.0-157 and later (LP: #1800254)
- SAUCE: (no-up) net/packet: fix erroneous dev_add_pack usage in fanout
* Cleanup Meltdown/Spectre implementation (LP: #1779848)
- x86/Documentation: Add PTI description
- Revert "x86/cpu/AMD: Make the LFENCE instruction serialized"
- x86/cpu/AMD: Make LFENCE a serializing instruction
- x86/cpu/AMD: Use LFENCE_RDTSC in preference to MFENCE_RDTSC
- x86/pti: Document fix wrong index
- x86/nospec: Fix header guards names
- x86/bugs: Drop one "mitigation" from dmesg
- x86/spectre: Check CONFIG_RETPOLINE in command line parser
- x86/spectre: Simplify spectre_v2 command line parsing
- x86/spectre: Fix an error message
- SAUCE: x86/cpufeatures: Reorder spectre-related feature bits
- x86/cpufeatures: Add AMD feature bits for Speculation Control
- SAUCE: x86/msr: Fix formatting of msr-index.h
- SAUCE: x86/msr: Rename MSR spec control feature bits
- x86/pti: Mark constant arrays as __initconst
- x86/speculation: Add basic IBPB (Indirect Branch Prediction Barrier) support
- x86/cpufeatures: Clean up Spectre v2 related CPUID flags
- x86/cpuid: Fix up "virtual" IBRS/IBPB/STIBP feature bits on Intel
- SAUCE: x86/speculation: Use synthetic bits for IBRS/IBPB/STIBP
- SAUCE: x86/cpufeatures: Disentangle MSR_SPEC_CTRL enumeration from IBRS
- x86/speculation: Use IBRS if available before calling into firmware
- x86/speculation: Move firmware_restrict_branch_speculation_*() from C to CPP
- SAUCE: x86/bugs: Fix re-use of SPEC_CTRL MSR boot value
- SAUCE: Move SSBD feature detection to common code
- SAUCE: x86/speculation: Move vendor specific IBRS/IBPB control code
- SAUCE: x86/speculation: Query individual feature flags when reloading
microcode
- xen: Add xen_arch_suspend()
- x86/xen: Zero MSR_IA32_SPEC_CTRL before suspend
- SAUCE: x86/pti: Evaluate X86_BUG_CPU_MELTDOWN when pti=auto
- SAUCE: x86/speculation: Make use of indirect_branch_prediction_barrier()
- SAUCE: x86/speculation: Cleanup IBPB runtime control handling
- SAUCE: x86/speculation: Cleanup IBRS runtime control handling
* CVE-2016-9588
- kvm: nVMX: Allow L1 to intercept software exceptions (#BP and #OF)
* CVE-2017-16649
- net: cdc_ether: fix divide by 0 on bad descriptors
* CVE-2018-9363
- Bluetooth: hidp: buffer overflow in hidp_process_report
* CVE-2017-13168
- scsi: sg: mitigate read/write abuse
* xattr length returned by vfs_getxattr() is not correct in Trusty kernel
(LP: #1798013)
- getxattr: use correct xattr length
* CVE-2018-16658
- cdrom: Fix info leak/OOB read in cdrom_ioctl_drive_status

See Also

Package Description
linux-tools-3.13.0-163-generic_3.13.0-163.213_amd64.deb Linux kernel version specific tools for version 3.13.0-163
linux-tools-3.13.0-163-lowlatency_3.13.0-163.213_amd64.deb Linux kernel version specific tools for version 3.13.0-163
linux-tools-3.13.0-163_3.13.0-163.213_amd64.deb Linux kernel version specific tools for version 3.13.0-163
linux-tools-3.13.0-24-generic_3.13.0-24.47_amd64.deb Linux kernel version specific tools for version 3.13.0-24
linux-tools-3.13.0-24-lowlatency_3.13.0-24.47_amd64.deb Linux kernel version specific tools for version 3.13.0-24
linux-tools-3.13.0-24_3.13.0-24.47_amd64.deb Linux kernel version specific tools for version 3.13.0-24
linux-tools-3.13.0-27-generic_3.13.0-27.50_amd64.deb Linux kernel version specific tools for version 3.13.0-27
linux-tools-3.13.0-27-lowlatency_3.13.0-27.50_amd64.deb Linux kernel version specific tools for version 3.13.0-27
linux-tools-3.13.0-27_3.13.0-27.50_amd64.deb Linux kernel version specific tools for version 3.13.0-27
linux-tools-3.13.0-29-generic_3.13.0-29.53_amd64.deb Linux kernel version specific tools for version 3.13.0-29
linux-tools-3.13.0-29-lowlatency_3.13.0-29.53_amd64.deb Linux kernel version specific tools for version 3.13.0-29
linux-tools-3.13.0-29_3.13.0-29.53_amd64.deb Linux kernel version specific tools for version 3.13.0-29
linux-tools-3.13.0-30-generic_3.13.0-30.55_amd64.deb Linux kernel version specific tools for version 3.13.0-30
linux-tools-3.13.0-30-lowlatency_3.13.0-30.55_amd64.deb Linux kernel version specific tools for version 3.13.0-30
linux-tools-3.13.0-30_3.13.0-30.55_amd64.deb Linux kernel version specific tools for version 3.13.0-30
Advertisement
Advertisement